<?php

namespace App\Models;

class PropertyGroup extends BaseModel
{
    protected $table = 'property_group';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    protected $hidden = [];

    public function propertyGroupMapping(){
        return $this->hasMany('App\Models\PropertyGroupMapping','property_group_id', 'id')
            ->select([ "id","property_id","property_group_id", "order_number", "status"])
            ->where("status" , "=", 1);
    }

}
